Page MenuHomePhabricator

[Alignment][NFC] Update MachineMemOperand implementation to use Align
ClosedPublic

Authored by gchatelet on Mar 23 2020, 9:39 AM.

Details

Summary

This is patch is part of a series to introduce an Alignment type.
See this thread for context: http://lists.llvm.org/pipermail/llvm-dev/2019-July/133851.html
See this patch for the introduction of the type: https://reviews.llvm.org/D64790

Diff Detail

Event Timeline

gchatelet created this revision.Mar 23 2020, 9:39 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 23 2020, 9:39 AM
courbet accepted this revision.Mar 24 2020, 12:40 AM
This revision is now accepted and ready to land.Mar 24 2020, 12:40 AM
  • BaseAlign is never None
gchatelet retitled this revision from [Alignment][NFC] Update MachineMemOperand implementation to use MaybeAlign to [Alignment][NFC] Update MachineMemOperand implementation to use Align.Mar 26 2020, 2:29 PM
  • BaseAlign is never None

Good catch.

This revision was automatically updated to reflect the committed changes.